<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Reportes por Cajas y Usuarios cajeros';
echo "<title>".AppName.' - '.$title."</title>";
?>
<style>
th{background:#156E10;
color:white;
padding:7px;
border:1px solid white;	
text-align:center;
text-transform:uppercase;}	
td{
	border:1px solid #cccccc;
	padding:6px;
}
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">																
											<?php
											$db = new DB();
											$Productos = new DB();
											$Usuarios = new DB();
											$Ubicaciones = new DB();
											$Entregas = new DB();
											$Cajero = new DB();
												
											$sql = "SELECT * FROM ventas_cajeros venta, rol_usuarios cajero
											WHERE venta.cajeros_usid = cajero.us_id
											AND venta.cajeros_usid <> '0'
											ORDER BY venta.ent_fecha DESC;";	

											$db->dbSQL($sql);
											$html='';											
											$i=0;
										//$clie_descuento=0;
										while($db->next()){																				
											$i++;												
											$total=0;	
												$html.='<table width="100%"><thead>
												<tr>														
													<th>descripci&Oacute;n</th>
													<th>cliente</th>
													<th>cantidad cajas</th>
													<th>unidades</th>													
													<th>precio unitario</th>
													<th>sub total</th>
												</tr>
											</thead>											
											<tbody>	';	
											$cajero = $db->dbField('us_nombres').' '.$db->dbField('us_apellidos');

											$entre_codigo = $db->dbField('entre_codigo');
											$ven_codigo = $db->dbField('ven_codigo');
											$cajeros_usid = $db->dbField('cajeros_usid');
											$entre_estado = $db->dbField('entre_estado');
											$ent_fecha = $db->dbField('ent_fecha');
											$ent_fechaentrega = $db->dbField('ent_fechaentrega');
										
											$html.='<h3>'.$cajero.'</h3>';
											
											//productos vendidos por codigo de venta
											$sqlProductos = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi, 
																		ventas_productos ven, inventarios_clientes clie
												WHERE prod.ubica_codigo = ubi.ubica_codigo
												AND ven.prod_codigo = prod.prod_codigo
												AND clie.clie_codigo = ven.clie_codigo
												AND ven.ven_codigo = '$ven_codigo';";																				
												$Productos->dbSQL($sqlProductos);
											while($Productos->next()){
																							
													$ubica_codigo = $Productos->dbField('ubica_codigo');
													$ubica_nombre = $Productos->dbField('ubica_nombre');
													$ubica_color = $Productos->dbField('ubica_color');
												//productos
												$prod_item = $Productos->dbField('prod_item');
												$prod_codigo = $Productos->dbField('prod_codigo');
												$prod_nombre = $Productos->dbField('prod_nombre');
												//$prod_foto = $Productos->dbField('prod_foto');
												$prod_piezascaja = $Productos->dbField('prod_piezascaja');
												//$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
												$prod_preciounitario = $Productos->dbField('prod_preciounitario');
												$prod_preciodocena = $Productos->dbField('prod_preciodocena');
												$prod_preciocajadocena  = $Productos->dbField('prod_preciocajadocena');															
												//clientes						
												$clie_codigo = $Productos->dbField('clie_codigo');
												$clie_cinit = $Productos->dbField('clie_cinit');
												$clie_nombres = $Productos->dbField('clie_nombres');
												$clie_apellidos = $Productos->dbField('clie_apellidos');
												$clie_destino = $Productos->dbField('clie_destino');
												$clie_celular = $Productos->dbField('clie_celular');
												$clie_tipopago = $Productos->dbField('clie_tipopagonombre');
												$clie_descuento = $Productos->dbField('clie_descuento');
												$clie_personarecoge = $Productos->dbField('clie_personarecoge');
												$clie_puntoentrega = $Productos->dbField('clie_puntoentrega');
												
												//Ubicaciones para entrega
												$sqlUbicaciones = "SELECT * FROM inventarios_ubicaciones
												WHERE ubica_codigo = '$clie_puntoentrega';";
												$Ubicaciones->dbSQL($sqlUbicaciones);
													if($Ubicaciones->next()){
														$UbicacionesNombre = $Ubicaciones->dbField('ubica_nombre');
														$UbicacionesColor = $Ubicaciones->dbField('ubica_color');														
													}else{
														$UbicacionesNombre = 'Central';
														$UbicacionesColor = $Ubicaciones->dbField('ubica_color');														
													}
												//ventas
												$ven_tipo = $Productos->dbField('ven_tipo');
												$ven_precio = $Productos->dbField('ven_precio');													
												$ven_cantidad = $Productos->dbField('ven_cantidad');

													switch($ven_tipo){
														case '1' : $tipo = 'Unidad'; 
															$precio = $prod_preciounitario ;
															$CajaU = 'Unidad';
															$piezas = 1;
														break;
														case '2' : $tipo = 'Docena'; 
															$precio = $prod_preciodocena ;
															$CajaU = 'unidades';
															$piezas = $prod_piezascaja;
														break;
														case '3' : $tipo = 'Caja Docena'; 
															$precio = $prod_preciocajadocena ;
															$CajaU = 'Caja';
															$piezas = $prod_piezascaja;
														break;
														case '4' : $tipo = 'Docena'; 
															$precio = $prod_preciodocena ;
															$CajaU = 'unidades';
															$piezas = $prod_piezascaja;
														break;
													}
													$total = $total + $ven_precio;		


														$html.='<tr>';
														$html.='<td><b>'.$prod_nombre.'</b><br>
																<small><b>Item: </b>'.$prod_item.'</small><br>
																<small><b>Ubicaci&oacute;n: <span style="background:'.$ubica_color.';padding:3px 7px;">'.$ubica_nombre.'</span></b><br>
																<small><b>Punto Entrega: <span style="background:'.$UbicacionesColor.';padding:3px 7px;">'.$UbicacionesNombre.'</span></b></small>
															</td>';
														$html.='<td>'.$clie_nombres.' '.$clie_apellidos.'</td>';																																						
														$html.='<td align=right>'.$ven_cantidad.' '.$CajaU.'</td>';
														$html.='<td align=right>'.($ven_cantidad*$piezas).'</td>';
														$html.='<td align=right>'.number_format(($precio/$piezas),2).'</td>';
														$html.='<td align=right>'.number_format(($precio/$piezas)*($ven_cantidad*$piezas),2).'</td>';										
														$html.='</tr>';	
														
														
													
												}//wend $Productos()			
												 		$html.='<tr>';
														$html.='<td colspan="4" align=right>
														Cobrado por Cajero: '.$cajero.'<br>
														Fecha cobro: '.FechaGlobal($ent_fecha).'</td>';										
														$html.='<td colspan="3" align=right>
														Descuento: '.$clie_descuento.'<br>
														Total: '.number_format(($total-$clie_descuento),2).'</td>';										
														$html.='</tr>';												
												
										}//wend $db() 		
											$html.='</tbody></table>';									
											echo utf8_encode($html);
											?>													
											
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	
$('#cmbUbicaciones').change(function(){
    let codegen = $(this).val();
    if(codegen == '') codegen ='ver';
    self.location="<?php echo PATH_HOME.'rep-almacenes/' ?>"+codegen;
});
</script>